/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.bundle.osgi;

import java.io.IOException;

import org.openmobileis.common.context.ApplicationContextManager;
import org.openmobileis.common.context.Plateform;
import org.openmobileis.embedded.util.SystemAPI;
import org.openmobileis.embedded.webserver.WebServer;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class WebServerActivator implements BundleActivator {
  class StartServerBunble implements Runnable {
    StartServerBunble(){}
    
    public void run() {
      try  {
        System.out.println("start WebServer");
        System.out.println("User dir:"+System.getProperty("user.dir"));
        

          WebServer server = new WebServer();
                  
          server.serve();
        } catch (IOException ex)  {
          System.out.println("Server already started");
            // start IE
            Plateform plateform = ApplicationContextManager.getManager().getApplicationContext().getPlateform();
            if (plateform.getOS().equals(Plateform.POCKETPCOS)) {
              System.out.println("start IE alone.");
//              System.loadLibrary("ExecDLL2002");
              // SystemAPI.execProgram("\\Windows\\iexplore.exe", "http://localhost:9090/services/index/"+Long.toString(SystemAPI.currentTimeInMillis())); //use to correct a bug in IE that deos not reload page
              SystemAPI.execProgram("\\Windows\\iexplore.exe", ""); //use to correct a bug in IE that deos not reload page
            }
            System.exit(0);
        }
    }
  }
  /**
   * 
   */
  public WebServerActivator() {
    super();
  }

  /* (non-Javadoc)
   * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
   */
  public void start(BundleContext context) throws Exception {
    StartServerBunble tostart = new StartServerBunble();
    Thread thread = new Thread(tostart);
    thread.start();
    
    //load profil.
   // context.installBundle()

  }

  /* (non-Javadoc)
   * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
   */
  public void stop(BundleContext context) throws Exception {
  }

}
