/**
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.module;

import java.io.File;
import java.io.FileReader;
import java.io.InputStreamReader;
import java.io.Reader;

import org.openmobileis.common.user.profile.Profile;
import org.openmobileis.common.user.profile.ProfileDataManager;
import org.openmobileis.common.user.profile.ProfileRubric;
import org.openmobileis.common.user.profile.impl.TerminalXmlFileProfilDataFactory;
import org.openmobileis.common.util.PropertiesManager;
import org.openmobileis.common.util.collection.Array;
import org.openmobileis.common.util.exception.ServiceException;
import org.openmobileis.module.profiles.terminal.OpenMSPProfileSyncListener;
import org.openmobileis.module.terminal.ModuleJarSyncListener;
import org.openmobileis.modules.profiles.terminal.RubricLoader;
import org.openmobileis.synchro.openmsp.client.OpenMSPSyncListener;
import org.openmobileis.synchro.openmsp.client.OpenMSPSynchroManager;

/*
 * Title:        OpenMobileIS project source <BR>
 * Description:
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */

public final class OpenMisModuleRubricLoader extends RubricLoader {

  /**
   * 
   */
  public OpenMisModuleRubricLoader() {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.modules.profiles.embedded.RubricLoader#getServiceClassList()
   */
  
  public String[] getServiceClassList()  throws ServiceException{
    String[] ret = new String[3];
    ret[0]="org.openmobileis.synchro.openmsp.client.services.DirectSynchroService";
    ret[1]="org.openmobileis.synchro.openmsp.client.services.SynchroLoginService";
    ret[2]="org.openmobileis.synchro.openmsp.client.services.SynchroJournalDisplayService";
    return ret;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.modules.profiles.embedded.RubricLoader#postLoadingInit()
   */
  
  public void postLoadingInit()  throws ServiceException{
  }

  /* (non-Javadoc)
   * @see org.openmobileis.modules.profiles.embedded.RubricLoader#preLoadingInit()
   */
 
  public void preLoadingInit()  throws ServiceException{
  }

}
