/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.module.core;

import org.openmobileis.common.util.OpenMISSerializable;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class DependProfileModule implements OpenMISSerializable {
  static final long serialVersionUID = 5521257935120563452L;
  private String moduleName;
  private String moduleVersion;

  /**
   * 
   */
  public DependProfileModule() {
    super();
  }
  
  public DependProfileModule(String name, String version) {
    this();
    this.moduleName = name;
    this.moduleVersion = version;
  }

  public String getModuleName() {
    return moduleName;
  }

  public void setModuleName(String moduleName) {
    this.moduleName = moduleName;
  }

  public String getModuleVersion() {
    return moduleVersion;
  }

  public void setModuleVersion(String moduleVersion) {
    this.moduleVersion = moduleVersion;
  }
  
  public boolean equals(Object obj) {
    if (obj instanceof DependProfileModule) {
      DependProfileModule nobj = (DependProfileModule) obj;
      if (nobj.getModuleName().equals(this.getModuleName()))    {
        if (nobj.getModuleVersion() != null && this.getModuleVersion() == null) {
          return false;
        } else  if (nobj.getModuleVersion() == null && this.getModuleVersion() != null)  {
          return false;
        } else if (nobj.getModuleVersion() != null && this.getModuleVersion() != null) {
          if (!nobj.getModuleVersion().equals(this.getModuleVersion()))  {
            return false;
          }
        }
        return true;
      }
    }
    return false;
  }
  
  public int hashCode() {
    String ret = this.getModuleName();
    if (this.getModuleVersion() != null){
      ret+=this.getModuleVersion();
    }
    return ret.hashCode();
  }

}
