/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.module.profiles.terminal;

import java.util.Hashtable;

import org.openmobileis.database.fastobjectdb.synchro.client.SynchroListenerAddNotifier;
import org.openmobileis.synchro.openmsp.client.OpenMSPSyncListener;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class ProfileSynchroListenerAddNotifier implements SynchroListenerAddNotifier {
  
  public Hashtable listenerlist;
  public Hashtable dependlist;
  public boolean bloking;

  /**
   * 
   */
  public ProfileSynchroListenerAddNotifier() {
    super();
    listenerlist = new Hashtable();
    dependlist = new Hashtable();
    bloking = true;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.client.SynchroListenerAddNotifier#notifyAddListener(org.openmobileis.synchro.openmsp.client.OpenMSPSyncListener, java.lang.String[])
   */
  public void notifyAddListener(OpenMSPSyncListener listener, String[] depends) {
    listenerlist.put(listener.getSyncName(), listener);
    if (depends == null) depends = new String[0];
    dependlist.put(listener.getSyncName(), depends);

  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.client.SynchroListenerAddNotifier#isBlocking()
   */
  public boolean isBlocking() {
    return bloking;
  }
  
  public void setBlocking(boolean b)  {
    bloking = b;
  }

}
