/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.module.terminal;

import org.openmobileis.common.util.exception.ServiceException;
import org.openmobileis.module.core.ProfileModule;

/*
 * Title:        OpenMobileIS project source <BR>
 * Description:
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */

public interface ModuleManagerListener {
	/**
	 * call during module management init. Do all init needed before module loading.
	 * @throws ServiceException
	 */
	  public void initManager() throws ServiceException;
	  /**
	   * call when a new module must be loaded. Do all the module loading.
	   * @param module
	   * @throws ServiceException
	   */
	  public void notifyModuleLoading(ProfileModule module) throws ServiceException;
	  /**
	   * return the path where module xml must be stored.
	   * @return
	   */
	  public String getXMLInstallPath();
	  /**
	   * return the path where module jar must be stored.
	   * @return
	   */
	  public String getJarInstallPath();
	  /**
	   * call when a module has been updated by the synchro.
	   * @param module
	   * @throws ServiceException
	   */
		public void notifyModuleUpdate(ProfileModule module) throws ServiceException;

}
