/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */

package org.openmobileis.common.user.profil;

import org.openmobileis.common.util.OpenMISSerializable;

/**
 * Struct definition : ProfilRubric
 * 
*/
public final class ProfileRubric implements OpenMISSerializable {
  static final long serialVersionUID = 5521257935120563452L;
    /**
     * Struct member channelName
     */
    public String moduleName;

    /**
     * Struct member rubricName
     */
    public String rubricName;

    /**
     * Struct member description
     */
    public String description;

    /**
     * Struct member description
     */
    public String version;

    /**
     * Default constructor
     */
    public ProfileRubric()  { }

    /**
     * Constructor with fields initialization
     * @param channelName channelName struct member
     * @param rubricName rubricName struct member
     * @param description description struct member
     * @param propertiesList propertiesList struct member
     */
    public ProfileRubric(String channelName, String rubricName, String description, ProfileProperty[] propertiesList)    {
        this.moduleName = channelName;
        this.rubricName = rubricName;
        this.description = description;
    }
    
    public boolean equals(Object obj) {
      if (obj instanceof ProfileRubric) {
        ProfileRubric nobj = (ProfileRubric) obj;
        if (nobj.moduleName.equals(this.moduleName) && nobj.rubricName.equals(this.rubricName))    {
          if (nobj.version != null && this.version == null) {
            return false;
          } else  if (nobj.version == null && this.version != null)  {
            return false;
          } else if (nobj.version != null && this.version != null) {
            if (!nobj.version.equals(this.version))  {
              return false;
            }
          }
          return true;
        }
      }
      return false;
    }
    
    public int hashCode() {
      StringBuffer buff = new StringBuffer(this.moduleName);
      buff.append("/");
      buff.append(this.rubricName);
      return buff.hashCode();
    }

}
