/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.common.util.database;
import java.sql.*;

import org.openmobileis.common.context.ApplicationContextManager;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description:  
 * @author  Philippe Delrieu
 * @since JDK 1.1
 * @version 1.0.
 */
public abstract class ManagerDB {
	
	private static ManagerDB manager;
	
	public static ManagerDB getManager()	{
		return manager;
	}
	
	public static void registerManager(ManagerDB m)	{
		manager = m;
		ApplicationContextManager.getManager().addManager(manager);
	}

  /**
  * getConnection() return a free connection or null if all the connections
  * are used after a given time out
  * @param  :   None
  * @return :   Connection
  * @exception : None
  */
  public abstract Connection getConnection () throws java.sql.SQLException;

  public abstract void garbageOpenedConnection();

  /**
* disconnect() method allows to close the database
* @param     None
* @return    None
* @exception SQLException
*/
  public abstract void disconnect ();

}

