/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */

package org.openmobileis.common.util.log;

import java.io.File;
import java.util.Properties;

import org.openmobileis.common.context.ApplicationContextManager;
/**
 * Title:        OpenMobileIS project source <BR>
 * define the LogManager to Log in a File. The File is define by specifing the property LOGFILE.
 * Implements an archiving system. Define the property LOGDIRARCHIVE to define the directory where log are archived.
 * Directory must end with file separator.
 * @author P.Delrieu
 * @version 1.0
 * @since JDK1.1
 */
public class FileOpenCloseLogManager extends LogManager {

  protected FileOpenCloseLogManager(Properties props) {
    // super(props);
    tracer = new FileOpenCloseLogTracer();
    tracer.setLogTracerProperties(props);
  }

  public synchronized static void registerLogManager(Properties props) {
      instance = new FileOpenCloseLogManager(props);
      ApplicationContextManager.getManager().addManager(instance);
  }
  
  public File getLogFile()	{
    return ((FileOpenCloseLogTracer)tracer).getLogFile();
  }
}