/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */


package org.openmobileis.common.util.log;

import java.util.Properties;
import java.io.PrintStream;

/**
 * Interface that log tracer must implements to be use by the LogManager.
 * Log Tracer are the class that trace log send by LogManager.
 * @author P.Delrieu
 * @version 1.0
 * @since JDK1.1
 */
public interface LogTracer {

  public void setLogTracerProperties(Properties props);

  /**
   * Trace the message to the stream defined by the specified priority and service.
   */
  public void trace(int service, int priority, String message);

  public PrintStream getLogPrintStream();
  public void setLogStream(java.io.PrintStream newStream);


}