/*
 * $Id: Candidate.java,v 1.1 2005/07/19 12:27:49 dev Exp $
 * S.O.D.A.  -  Simple Object Database Access
 */
package org.odbms;


/**
 * candidate for Evaluation callbacks.
 * <br><br>
 * During Query#execute query execution all registered
 * Evaluation callback handlers are called with 
 * Candidate proxies that represent the persistent objects
 * that meet all other Query criteria.
 * <br><br>
 * A Candidate provides access to the persistent object it
 * represents and allows to specify, whether it is to be included in the 
 * ObjectSet resultset.
 */
public interface Candidate {
	
	/**
	 * specify whether the Candidate is to be included in the 
	 * ObjectSet resultset.
	 * <br><br>
	 * This method may be called multiple times. The last call prevails.
	 * @param flag inclusion.
	 */
	public void include(boolean flag);
	
	/**
	 * returns the persistent object that is represented by this query 
	 * Candidate.
	 * @return Object the persistent object.
	 */
	public Object getObject();
	
}
