/*
 * $Id: ObjectSet.java,v 1.1 2005/07/19 12:27:49 dev Exp $
 * S.O.D.A.  -  Simple Object Database Access
 */
package  org.odbms;

/**
 * query resultset.
 * <br><br>The <code>ObjectSet</code> interface serves as a cursor to
 * iterate through a set of objects retrieved by a query.
 */
public interface ObjectSet {


    /**
	 * returns <code>true</code> if the <code>ObjectSet</code> has more elements.
     * @return boolean <code>true</code> if the <code>ObjectSet</code> has more
	 * elements.
     */
    public boolean hasNext ();


    /**
	 * returns the next object in the <code>ObjectSet</code>.
     * @return the next object in the <code>ObjectSet</code>.
     */
    public Object next ();


    /**
	 * resets the <code>ObjectSet</code> cursor before the first element. <br><br>
	 * A subsequent call to <code>next()</code> will return the first element.
     */
    public void reset ();



    /**
	 * returns the number of elements in the <code>ObjectSet</code>.
     * @return the number of elements in the <code>ObjectSet</code>.
     */
    public int size ();
}
