/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */
package org.openmobileis.database.fastobjectdb.db;

import java.util.Hashtable;

import org.openmobileis.common.util.collection.Array;

/**
 * Manage all created collection in a FODB
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class CollectionManager {
	protected Array collections;

  /**
   * 
   */
  public CollectionManager() {
    super();
		collections = new Array();
  }
  
  public void addCollection(FODBCollection collection)	{
		collections.add(collection);
  } 
  
  public FODBCollection getCollectionByName(String name)	{
		FODBCollection col = null;
  	for (int i=0; i<collections.size(); i++)	{
  		col = (FODBCollection) collections.get(i);
  		if (col.getName().equals(name))	{
  			return col;
  		}  		
  	}
  	return null;
  }
  
	public FODBCollection getCollectionByType(Class type)	{
		FODBCollection col = null;
		for (int i=0; i<collections.size(); i++)	{
			col = (FODBCollection) collections.get(i);
			if (col.getCollectionObjectClass().equals(type))	{
				return col;
			}  		
		}
		return null;
	}
	
	public Hashtable getCollectionList()	{
		FODBCollection col = null;
		Hashtable list = new Hashtable(collections.size());
		for (int i=0; i<collections.size(); i++)	{
			col = (FODBCollection) collections.get(i);
			list.put(col.getName(), col);
		}
		return list;
	}
	
	public Array getCollectionArray()	{
		return (Array) collections.clone();
	}

}
