/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */
package org.openmobileis.database.fastobjectdb.db.test;

import java.io.Serializable;

/**
 * Contain test of all FODB functionnalities. Can be use as a tutorial to understand
 * how to develop FODB applications.
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class TestDataWithArray implements Serializable {
  static final long serialVersionUID = 5521257935120563452L;
	private String id;
	private long idLong;
	private String[] stringList;
	private int indexStringList;
	private int[] intList;
	private int indexIntList;
	private long[] longList;
	private int indexLongList;
	/**
	 * 
	 */
	public TestDataWithArray(String id,long idLong) {
		this.id=id;
		this.idLong=idLong;
		stringList=new String[10];
		intList=new int [2];
		longList=new long[4];
		indexStringList=0;
		indexIntList=0;
		indexLongList=0;
	}
	
	public void addElement(String element){
		if(indexStringList<10){
			stringList[indexStringList]=element;
			indexStringList++;
		}
	}
	
	public void addElement(int element){
		if(indexIntList<2){
			intList[indexIntList]=element;
			indexIntList++;
		}
	}
	
	public void addElement(long element){
		if(indexLongList<4){
			longList[indexLongList]=element;
			indexLongList++;
		}
	}
	
	public String[] getStringList(){
		return stringList;
	}
	
	public int [] getIntList(){
		return intList;
	}
	
	public long[] getLongList(){
		return longList;
	}
	
	public String getId(){
		return id;
	} 
	
	public long getIdLong(){
		return idLong;
	}
	
	public String toString(){
		String str="id:"+id+"\nStrings{";
		for(int i=0;i<indexStringList;i++)
			str+=" "+stringList[i];
		str+=" }\n";
		str+="int{";
		for(int i=0;i<indexIntList;i++)
			str+=" "+intList[i];
		str+=" }\n";
		str+="long{";
		for(int i=0;i<indexLongList;i++)
			str+=" "+longList[i];
		str+=" }";return str;
	}

}
