/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.database.fastobjectdb.db.test;

import org.odbms.ObjectSet;
import org.odbms.Query;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.database.fastobjectdb.FastObjectDB;

/**
 * @author Administrateur
 * 
 * TODO To change the template for this generated type comment go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
public final class TestThreadRequest implements Runnable {
  private FastObjectDB db;

  private int number;

  /**
   * 
   */
  public TestThreadRequest(FastObjectDB db, int nb) {
    super();
    this.db = db;
    this.number = nb;
  }

  /*
   * (non-Javadoc)
   * 
   * @see java.lang.Runnable#run()
   */
  public void run() {
    // SELECT TESTDATA.KEY FROM TESTDATA where TESTDATA.KEY = 'key'
    for (int i=0; i<30; i++) {
      try {
        Query q = db.query();
        q.constrain(TestData.class);
        q.descend("getKey()");
        LogManager.traceDebug(0, "TestThreadRequest BEGIN" + number);
        ObjectSet set = q.execute();
         LogManager.traceDebug(0, "TestThreadRequest request nb line:"+set.size()+" for number:"+number);
         LogManager.traceDebug(0, "TestThreadRequest END"+number);
      } catch (Exception ex) {
        LogManager.traceError(0, "TestThreadRequest error for number:" + number);
        LogManager.traceError(0, ex);
      }
    }
  }

}
