/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.database.fastobjectdb.db.test.synchro.sync4j;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.security.Principal;
import java.sql.Timestamp;

import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.synchro.sync4j.server.FODBSync4JSource;

import sync4j.framework.engine.SyncItem;
import sync4j.framework.engine.SyncItemImpl;
import sync4j.framework.engine.SyncItemState;
import sync4j.framework.engine.SyncProperty;
import sync4j.framework.engine.source.SyncSourceException;

/**
 * @author Administrateur
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class TestFODBSync4JSource extends FODBSync4JSource {
  static final long serialVersionUID = 5521257935120563452L;
  
  private TestData data1 = new TestData("id1", "create_server");
  private TestData data2 = new TestData("id2", "create_server");
  private int idSynchro = 0;
  /**
   * 
   */
  public TestFODBSync4JSource() {
    super();
  }

  /**
   * @param arg0
   * @param arg1
   * @param arg2
   */
  public TestFODBSync4JSource(String arg0, String arg1, String arg2) {
    super(arg0, arg1, arg2);
  }

  /**
   * @param arg0
   */
  public TestFODBSync4JSource(String arg0) {
    super(arg0);
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.server.sync4j.FODBSync4JSource#getSyncItems(java.security.Principal, java.lang.String, java.sql.Timestamp)
   */
  protected SyncItem[] getSyncItems(Principal principal, String type, Timestamp since) throws SyncSourceException {
    // TODO Auto-generated method stub
    return new SyncItem[0];
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.server.sync4j.FODBSync4JSource#getSyncItem(java.security.Principal, java.lang.String)
   */
  protected SyncItem getSyncItem(Principal principal, String itemId) throws SyncSourceException {
    try	{
	    SyncItemImpl item =  new SyncItemImpl(this, itemId, SyncItemState.NEW);
	    Object data = data1;
	    if (itemId.equals("client/id2")) data = data2;
	    item.setProperty(
	        new SyncProperty(SyncItem.PROPERTY_BINARY_CONTENT,
	                    this.encodeObject(data))
	        );
	    return item;
    } catch (Exception ex)	{
      LogManager.traceError(0, ex);
      throw new SyncSourceException(ex);
    }
  }
  
  private byte[] encodeObject(Object obj) throws IOException	{
			ByteArrayOutputStream bstr = new ByteArrayOutputStream();
			ObjectOutputStream ostr = new ObjectOutputStream(bstr);
			ostr.writeObject(obj);
			byte[] b = bstr.toByteArray();
			return b;
  }

}
