/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */

package org.openmobileis.embedded.webserver;

import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Vector;

import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;

public class ServeConfig implements ServletConfig {

    private ServletContext context;
    private Hashtable init_params;
    private String servletName;

    public ServeConfig(ServletContext context) {
      this(context, null, "undefined");
    }

    public ServeConfig(ServletContext context, Hashtable initParams, String servletName) {
      this.context = context;
      this.init_params = initParams;
      this.servletName = servletName;
    }

    // Methods from ServletConfig.

    /// Returns the context for the servlet.
    public ServletContext getServletContext() {
      return context;
    }

    /// Gets an initialization parameter of the servlet.
    // @param name the parameter name
    public String getInitParameter(String name) {
      // This server supports servlet init params. :)
      if (init_params != null)
        return (String) init_params.get(name);
      return null;
    }

    /// Gets the names of the initialization parameters of the servlet.
    // @param name the parameter name
    public Enumeration getInitParameterNames() {
      // This server does:) support servlet init params.
      if (init_params != null)
        return init_params.keys();
      return new Vector().elements();
    }
    // 2.2
    public String getServletName() {
      return servletName;
    }

}
