/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */

package org.openmobileis.embedded.webserver;

import java.io.IOException;
import java.util.Enumeration;
import java.util.Properties;

import org.openmobileis.common.context.ApplicationContextManager;
import org.openmobileis.common.context.Plateform;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.embedded.util.SystemAPI;
import org.openmobileis.embedded.webserver.WebServer;

public final class StartWebServer {
    
	public static void main(String[] args) {
		
		System.out.println("Starting PDA server FR version 1.0");
		System.out.println("User.dir : "+System.getProperty("user.dir"));
		
/*		Properties propssys  = System.getProperties();
		Enumeration enume = propssys.keys();
		while (enume.hasMoreElements())	{
			String key = (String) enume.nextElement();
			System.out.println("Property key :"+key+" value :"+propssys.getProperty(key));
		} */
				
		try	{
			System.out.println("new start WebServer. system user dir:"+System.getProperty("user.dir"));
			Properties  props = new Properties();
			LogManager.registerLogManager(props); //init LogManager to the console

			try  {
				System.out.println("start WebServer");

				WebServer server = null;
				if (args != null && args.length > 0) {
				    server = new WebServer(args[0]);
				} else {
				    server = new WebServer();
				}
				
	    		server.serve();
    		} catch (IOException ex)	{
    			LogManager.traceInfo(0, "Server already started");
     		    // start IE
    		    Plateform plateform = ApplicationContextManager.getManager().getApplicationContext().getPlateform();
    		    if (plateform.getOS().equals(Plateform.POCKETPCOS))	{
    		    	LogManager.traceInfo(0, "start IE alone.");
	    		    System.loadLibrary("systemAPI");
	    		    SystemAPI.execProgram("\\Windows\\iexplore.exe", "");
    		    }
    		}
		} catch (Throwable ex)	{
			ex.printStackTrace();
		  LogManager.traceError(0, ex);
		}
	}

}
