/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */

package org.openmobileis.embedded.webserver.templates;

import org.openmobileis.common.util.exception.OpenMISException ;
import org.openmobileis.common.util.log.LogServices;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description:  Thrown when a template file can't be found in the file system.
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class TemplateNotFoundException extends OpenMISException{
  static final long serialVersionUID = 5521257935120563452L;

  public TemplateNotFoundException() {
   super();
  }

  public TemplateNotFoundException(int priority) {
    super(priority);
  }

  public TemplateNotFoundException(String msg, Throwable t) {
    super(msg,t);
  }

  public TemplateNotFoundException(String msg, Throwable t, int priority) {
    super(msg, t, priority);
  }

  public TemplateNotFoundException(String msg) {
    super(msg);
  }

  public TemplateNotFoundException(String msg, int priority) {
    super(msg, priority);
  }

  public TemplateNotFoundException(Throwable t) {
    super(t);
  }

  public TemplateNotFoundException(Throwable t, int priority) {
    super(t, priority);
  }

  public int getService()  {
   return LogServices.WEBSERVICE;
  }
}
