/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2005 Modification Romain Beaugrand
 * 
 */

package org.openmobileis.embedded.webserver.test.services;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.services.TemplateService;
import org.openmobileis.services.common.ServiceManager;

import freemarker.template.SimpleScalar;
import freemarker.template.TemplateModelRoot;

/**
 * 
 * URL : http://127.0.0.1:9091/services/helloworld
 * @author Romain Beaugrand
 *
 */
public class HelloWorld extends TemplateService {
    
    private static final String templateName = "testservlettemplates/HelloWorld.htm";

    public String runTemplate(HttpServletRequest req, HttpServletResponse res,
            TemplateModelRoot templateData) throws ServletException,
            IOException {
        
        String name = req.getParameter("name");
        String firstname = req.getParameter("firstname");
        
        templateData.put("n", new SimpleScalar(name));
        templateData.put("fn", new SimpleScalar(firstname));
        
        return templateName;
    }
    
    public String getServiceUri() {
      return ServiceManager.getManager().getServiceBaseURI()+"/test";
    }

}
