/**
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.examples.mycrm.data;

import java.io.Serializable;
import java.util.Date;

public final class Leads implements Serializable {
  //add serial version to avoid serialization error if the version change
  // without class change. 
  static final long serialVersionUID = 5521257935120563452L;

  //define the category for all state label in LabelManager
  public static final String LEADS_STATE_LABEL_CATEGORY = "3";
  private String id;
  private String idaccount;
  private int state, amount;
  private Date closeDate;
  private String description;
  
  public Leads(String id) {
    super();
    this.id = id;
    closeDate = new Date();
  }

  public int getAmount() {
    return amount;
  }

  public void setAmount(int amount) {
    this.amount = amount;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public Date getCloseDate() {
    return closeDate;
  }

  public void setCloseDate(Date closeDate) {
    this.closeDate = closeDate;
  }

  public int getState() {
    return state;
  }

  public void setState(int state) {
    this.state = state;
  }

  public String getId() {
    return id;
  }
  
  public boolean equals(Object obj)   {
      if (this.id.equals(((Leads)obj).id))    {
          return true;
      }
      return false;
  }
  
  public int hashCode()   {
      return this.id.hashCode();
  }

  public String getIdaccount() {
    return idaccount;
  }

  public void setIdaccount(String idaccount) {
    this.idaccount = idaccount;
  }

}
