/**
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.examples.mycrm.data;

import java.io.Serializable;
import java.util.Date;

public final class Report implements Serializable {
  //add serial version to avoid serialization error if the version change
  // without class change. 
  static final long serialVersionUID = 5521257935120563452L;
  
  //define the category for all action label in LabelManager
  public static final String REPORT_ACTION_LABEL_CATEGORY = "4";
  
  private String id;
  private Date reportDate;
  private String description;
  private int action;
  private String terminalUserId;
  
  public Report(String id) {
    super();
    this.id = id;
    this.reportDate = new Date();
  }
 
  public int getAction() {
    return action;
  }

  public void setAction(int action) {
    this.action = action;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public Date getReportDate() {
    return reportDate;
  }

  public void setReportDate(Date reportDate) {
    this.reportDate = reportDate;
  }

  public String getId() {
    return id;
  }
  
  public boolean equals(Object obj)   {
      if (this.id.equals(((Report)obj).id))    {
          return true;
      }
      return false;
  }
  
  public int hashCode()   {
      return this.id.hashCode();
  }

  public String getTerminalUserId() {
    return terminalUserId;
  }

  public void setTerminalUserId(String terminalUserId) {
    this.terminalUserId = terminalUserId;
  }

}
