/**
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.examples.mycrm.data.fodb;

import org.openmobileis.common.util.exception.BadDataFormatException;
import org.openmobileis.database.fastobjectdb.FastObjectDB;
import org.openmobileis.database.fastobjectdb.db.exception.FODBException;
import org.openmobileis.examples.mycrm.data.Account;
import org.openmobileis.examples.mycrm.data.Contact;
import org.openmobileis.examples.mycrm.data.Leads;
import org.openmobileis.modules.common.database.fodb.FODBLabel;
import org.openmobileis.modules.common.database.fodb.FODBLabelFactory;

public final class MyCRMLabelFactory extends FODBLabelFactory {

  public MyCRMLabelFactory() {
    super();
  }

  public String[][] getCategoriesList() {
    return new String[][]{
        new String[]{Account.ACCOUNT_ACTIVITY_LABEL_CATEGORY,"Account activity label"},
        new String[]{Contact.CONTACT_FUNCTION_LABEL_CATEGORY, "Contact function label"},
        new String[]{Leads.LEADS_STATE_LABEL_CATEGORY, "Leads state label"}
    };
  }

  protected int getMaxLabelIdLength() {
    return 5;
  }

  protected int getMaxCategoryIdLength() {
    return 2;
  }

  protected Class getDataType() {
    return FODBLabel.class;
  }

  protected void initDB(FastObjectDB db) throws FODBException, BadDataFormatException {

  }

}
