/**
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.examples.mycrm.data.fodb;

import org.openmobileis.common.util.exception.BadDataFormatException;
import org.openmobileis.database.fastobjectdb.FastObjectDB;
import org.openmobileis.database.fastobjectdb.db.exception.FODBException;
import org.openmobileis.modules.common.data.DefaultTerminalUser;
import org.openmobileis.modules.common.database.fodb.FODBTerminalUserFactory;

/*
 * Title:        OpenMobileIS project source <BR>
 * Description:
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */

public final class MyCrmFODBTerminalUserFactory extends FODBTerminalUserFactory {

  /**
   * 
   */
  public MyCrmFODBTerminalUserFactory() {
    super();
  }

  /* (non-Javadoc)
   * @see org.openmobileis.modules.crm.database.common.fodb.FODBTerminalUserFactory#getMaxTerminalUserIdLength()
   */
  protected int getMaxTerminalUserIdLength() {
     return 5;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.modules.crm.database.common.fodb.FODBTerminalUserFactory#getDataType()
   */
  protected Class getDataType() {
    return DefaultTerminalUser.class;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.modules.crm.database.common.fodb.FODBTerminalUserFactory#initDB(org.openmobileis.database.fastobjectdb.FastObjectDB)
   */
  protected void initDB(FastObjectDB db) throws FODBException, BadDataFormatException {
  }

}
