/**
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.examples.mycrm.terminal;

import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.examples.mycrm.data.fodb.AccountFactory;
import org.openmobileis.examples.mycrm.data.fodb.LeadsFactory;
import org.openmobileis.examples.mycrm.data.fodb.MyCRMLabelFactory;
import org.openmobileis.examples.mycrm.data.fodb.MyCrmFODBTerminalUserFactory;
import org.openmobileis.examples.mycrm.terminal.services.LeadsIndexList;
import org.openmobileis.modules.common.data.LabelManager;
import org.openmobileis.modules.common.data.TerminalUserManager;
import org.openmobileis.modules.profiles.terminal.RubricLoader;
import org.openmobileis.services.navigation.NavigationBarManager;
import org.openmobileis.services.servlet.IndexServlet;

public class CRMRubricLoader extends RubricLoader {

  public CRMRubricLoader() {
    super();
  }

  public void preLoadingInit() {
  	LogManager.traceInfo(0, "CRMRubricLoader version 1");
  	
    NavigationBarManager.initializeNavigationBar(new MyCrmNavigationBarDescription());
    LabelManager.registerManager(new LabelManager(new MyCRMLabelFactory()));
    TerminalUserManager.getManager().registerFactory(new MyCrmFODBTerminalUserFactory());
    //call to init database.
    AccountFactory.getManager();
    LeadsFactory.getManager();
  }

  public void postLoadingInit() {
    IndexServlet.getIndexServlet().addContentListener(new LeadsIndexList());
  }

  public String[] getServiceClassList() { 
    return new String[]{
        "org.openmobileis.services.servlet.IndexServlet"
        , "org.openmobileis.examples.mycrm.terminal.services.SearchAccountService"
        , "org.openmobileis.examples.mycrm.terminal.services.DisplayAccountService"
        , "org.openmobileis.examples.mycrm.terminal.services.EditAccountService"
        , "org.openmobileis.examples.mycrm.terminal.services.DisplayContactService"
        , "org.openmobileis.examples.mycrm.terminal.services.EditContactService"
        , "org.openmobileis.examples.mycrm.terminal.services.DeleteContactService"
        , "org.openmobileis.examples.mycrm.terminal.services.EditReportService"
        , "org.openmobileis.examples.mycrm.terminal.services.DisplayReportService"
        , "org.openmobileis.examples.mycrm.terminal.services.DeleteReportService"
        , "org.openmobileis.examples.mycrm.terminal.services.DisplayLeadsService"
    };
  }

}
