/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.examples.simpleappli.data;

import org.openmobileis.common.util.OpenMISSerializable;
import org.openmobileis.examples.mycrm.data.Account;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: The object that are synchronized. FODB is an object database.
 * The synchronisation engine synchronize object model. Synchronized object must be atomic.
 * DB update of the object must be consistent. BaseData does not need ant other object to be updated
 * in the database.
 * All synchronized object must have an unique identifier.
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class BaseData implements OpenMISSerializable {
  //add serial version to avoid serialization error if the version change
  // without class change. 
  static final long serialVersionUID = 5521257935120563452L;
  
  private String id;
  private String data;

  /**
   * 
   */
  public BaseData() {
    super();
  }

  /**
   * 
   */
  public BaseData(String id) {
    super();
    this.id = id;
  }

  public String getData() {
    return data;
  }

  public void setData(String data) {
    this.data = data;
  }

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }
  
  public boolean equals(Object obj)   {
      if (this.id.equals(((BaseData)obj).id))    {
          return true;
      }
      return false;
  }
  
  public int hashCode()   {
      return this.id.hashCode();
  }

}
