/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.examples.simpleappli.terminal;

import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.examples.simpleappli.data.FODB.FODBBaseDataFactory;
import org.openmobileis.modules.profiles.terminal.RubricLoader;
import org.openmobileis.services.navigation.NavigationBarManager;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class SimpleAppliRuBricLoader extends RubricLoader {

  /**
   * 
   */
  public SimpleAppliRuBricLoader() {
    super();
  }

  /* (non-Javadoc)
   * @see org.openmobileis.modules.profiles.embedded.RubricLoader#preLoadingInit()
   */
  public void preLoadingInit() {
    //init naviagation bar. It is a dynamic navigation bar on top of all page 
    NavigationBarManager.initializeNavigationBar(new SimpleAppliNavigationBarDescription());
   
    //init application data
    FODBBaseDataFactory.getManager();
    
    LogManager.traceDebug(0, "Test String()");
    try {
      byte[] b = new byte[2];
      b[0] = (byte)'1';
      b[1] = (byte)'0';
      long test  = Long.parseLong(new String(b, 0, 2, "8859_1").trim(),
            16);
      LogManager.traceDebug(0, "parse result :"+test);
      
    } catch (Throwable ex){
      LogManager.traceError(0, ex);
    }
    
  }

  /* (non-Javadoc)
   * @see org.openmobileis.modules.profiles.embedded.RubricLoader#postLoadingInit()
   */
  public void postLoadingInit() {
  }

  /**
   * Define all service to load.
   */
  public String[] getServiceClassList() {
    String[] classes = new String[4];
    classes[0] = "org.openmobileis.examples.simpleappli.terminal.services.ShowAllBaseDataService";
    classes[1] = "org.openmobileis.examples.simpleappli.terminal.services.EditBaseDataService";
    classes[2] = "org.openmobileis.examples.simpleappli.terminal.services.ShowDataService";
    classes[3] = "org.openmobileis.examples.simpleappli.terminal.services.DeleteDataService";
    return classes;
  }

}
