/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.examples.simpleappli.terminal.services;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.common.util.exception.DatabaseException;
import org.openmobileis.examples.simpleappli.data.FODB.FODBBaseDataFactory;
import org.openmobileis.services.Service;
import org.openmobileis.services.common.ServiceManager;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class DeleteDataService extends Service {

  /**
   * 
   */
  public DeleteDataService() {
    super();
  }

  /* (non-Javadoc)
   * @see org.openmobileis.services.Service#run(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
   */
  public void run(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
    String id = req.getParameter("id");
    if(id != null)  {    
      try {
        FODBBaseDataFactory.getManager().deleteBaseData(id);
        ServiceManager.getManager().redirectToServiceURI("/basedata/showall", req, res);
        return;
     } catch (DatabaseException ex)  {
        throw new ServletException(ex);
      }
    }
    throw new ServletException("Internal error could not find the specified data.");

  }

  /* (non-Javadoc)
   * @see org.openmobileis.services.Service#getServiceUri()
   */
  public String getServiceUri() {
    return ServiceManager.getManager().getServiceBaseURI() + "/basedata/delete";
  }

}
