/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  Creation P.Delrieu
 * 
 */
package org.openmobileis.modules.common.data;

import org.openmobileis.common.context.ApplicationContextManager;
import org.openmobileis.common.util.collection.Array;
import org.openmobileis.common.util.exception.DatabaseException;
import org.openmobileis.common.util.exception.ServiceException;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class GlobalPropertyManager {

	
	private static GlobalPropertyManager manager;
	private GlobalPropertyFactory factory;
 /**
	* Constructor for PrisLabelManager.
	*/
 public GlobalPropertyManager(GlobalPropertyFactory factory) {
	 super();
	 this.factory = factory;
 }
	
 public static void registerManager(GlobalPropertyManager m)	{
	 manager = m;
	 ApplicationContextManager.getManager().addManager(manager);
 }
	
 public static GlobalPropertyManager getManager() {
	 return manager;
 }
  
 public static void removeManager()	{
	 manager = null;
 }
	
 public GlobalPropertyFactory getFactory() {
	 return this.factory;
 }
 
 public GlobalProperty getProperty(String service, String key)  throws  ServiceException	{
	return this.factory.getProperty(service, key);
 }
 
 public Array getPropertiesForService(String service)  throws  ServiceException	{
	return this.factory.getPropertiesForService(service);
 }
 
 public Array getAllGlobalProperties()  throws  ServiceException	{
	return this.factory.getAllGlobalProperties();
 }
 
 public void storeProperty(GlobalProperty property)  throws DatabaseException 	{
	this.factory.storeProperty(property);
 }
 
 public void deleteProperty(String service, String key) throws DatabaseException {
	this.factory.deleteProperty(service, key);
 }


}
