/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  Creation P.Delrieu
 * 
 */


package org.openmobileis.modules.common.data;

import java.io.Serializable;

import org.openmobileis.common.util.collection.Orderable;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: USe to manage the pair identifier/label used by article, visite type and contact type.
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public interface Label	extends Orderable, Serializable {
	public static final long serialVersionUID = 5521257935120563452L;

	public String getLabel();
	
	public String getCategory();

	public String getLabelId();
	
	public String getLabelLanguage();
	
	/**
	 * Use to sort label in a specific order. Sorting id made  :
	 * sort with labelOrder if equals use label.
	 * @param o label sort order
	 */
	public void setLabelSortOrder(int o);
	public int getLabelSortOrder();
}
