/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  Creation P.Delrieu
 * 
 */
package org.openmobileis.modules.common.history;

import java.io.Serializable;

/**
 * @author Administrateur
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class HistoryData implements Serializable {
  static final long serialVersionUID = 5521257935120563452L;


    
    private String service;
    private String[] ids;
    
    
    public HistoryData(String serviceName,int sizeTab) {
      this.service = serviceName;
      this.ids = new String[sizeTab];
      
    }
    
    public String getService(){
      return this.service;
    }
    
    public String[] getIds(){
      return this.ids;
    }	
    
    public void addId(String id) {
      
			int pos = this.getPosition(id);
			if (pos != -1) { // does exists
				this.remove(pos);
			}
			this.addLast(id);
      
    }
    
 	 private int getPosition(String id) {
 		for (int i=0; i < ids.length; i++) {
 		 if ((ids[i] != null) && (ids[i].equals(id))) {
 			 return i;
 		 }
 		}
 		return -1;
 	 }
 	 
 	private void addLast(String uid) {
		 for (int i=0; i < ids.length; i++) {
			 if (ids[i] == null) {
				 ids[i] = uid; // not yet completed
				 return;
			 }
		 }
		 this.remove(0);
		 ids[ids.length -1] = uid;
	}
	
	private void remove (int pos) {
		 for (int i=pos; i < ids.length-1; i++) {
			 ids[i] = ids[i+1];
		 }
			ids[ids.length-1] = null;
	 }
   
  

}
