/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  
 *  Modifications :
 *  2006 Creation P.Delrieu
 * 
 */
package org.openmobileis.modules.profiles.old;

import org.openmobileis.common.util.OpenMISSerializable;
import org.openmobileis.common.util.collection.Array;
import org.openmobileis.modules.profiles.old.embedded.core.DependProfileModule;
import org.openmobileis.modules.profiles.old.embedded.core.DependProfileRubric;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: define a module managed by the ProfilManager. A module is a set of
 * files and classes synchronized as a whole. 
 * A module is made of rubric. A rubric is a subset of a module.
 * Properties can be attached to a modules.
 * To define module data use the profile xml file.
 * @author  Philippe Delrieu
 * @since JDK 1.1
 * @version 1.0.
 */
public class ProfileModule  implements OpenMISSerializable {
  static final long serialVersionUID = 5521257935120563452L;
	
	private String name;
	private String version;
	private Array rubrics;
	
	public ProfileModule() {
	   this.rubrics = new Array();
	}
  
	public void setName(String name) {
		this.name = name;
	}
	
	public String getName() {
		return this.name;
	}
	
	public void setVersion(String version) {
		this.version = version;
	}
	
	public String getVersion() {
		return this.version;
	}
	
	public void addModuleRubrics(ProfileRubric rubric) {
		this.rubrics.add(rubric);
	}
	
	public Array getAllModuleRubrics() {
		return this.rubrics;
	}
	
	// BIDOUILLE : AJOUT POUR COMPILATION : 
	
	public Array getDependModuleList(){
		return null;
	}
	
	public Array getModuleRubric(){
		return null;
	}
	
	  public void addProperty(String propertyName, String propertyValue){
			 
	  }
	  
	  public void addDependProfilModule(DependProfileModule depend){
		  
	  }
	  
	  public void addModuleRubric(DependProfileRubric depend){
		  
	  }
	

}
