/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */

package org.openmobileis.services.common;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.services.MainSubEditService;
import org.openmobileis.services.Service;
import org.openmobileis.services.SimpleEditService;
import org.openmobileis.services.SubEditService;
import org.openmobileis.services.navigation.NavigationBarManager;
import org.openmobileis.services.navigation.NavigationBarServiceData;
import org.openmobileis.services.servlet.OpenmisHttpServletRequest;

/**
 * @author Philippe Delrieu
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class ReturnLinkManagerService extends Service {

  /**
   * 
   */
  public ReturnLinkManagerService() {
    super();
  }

  /* (non-Javadoc)
   * @see org.openmobileis.embedded.services.Service#run(org.openmobileis.embedded.webserver.http.HttpServletRequest, org.openmobileis.embedded.webserver.http.HttpServletResponse)
   */
  public void run(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
		
	  //-------------- treatment of the MainSubEditService --------------
		//remove the session of the edit when a cancel is done
	  	NavigationBarServiceData dataTemp = NavigationBarManager.getManager().getCurrentServiceData();
		Service service = ServiceManager.getManager().getServiceByURI(dataTemp.getUri());
		if(service instanceof MainSubEditService){
			MainSubEditService mainEditService = (MainSubEditService)service;
			mainEditService.removeSessionData(req);
		} else if ((service instanceof SimpleEditService) && !(service instanceof SubEditService))	{
		  SimpleEditService editService = (SimpleEditService)service;
			editService.removeSessionData(req);
		}
		
	  
		//---------------------------------------------------------------
		
	  String retNbStr = req.getParameter("servnb");
		if (retNbStr==null)	{
			NavigationBarManager.getManager().popService(); //pop current service
		} else	{
			int retNb = Integer.parseInt(retNbStr);
			NavigationBarManager.getManager().popToService(retNb); // pop to return service
		}
		NavigationBarServiceData data = NavigationBarManager.getManager().getCurrentServiceData();
		NavigationBarManager.getManager().popService(); //pop return service before being re-add
		((OpenmisHttpServletRequest)req).addParameters(data.getParameters());
		

		
		ServiceManager.getManager().redirectToServiceURI(data.getUri(), req, res);
  }
  
	public String getName() {
		return "admin.ReturnLinkManagerService";
	}

  
	public String getServiceUri() {
		return ServiceManager.getManager().getServiceBaseURI()+"/admin/managereturn";
	}

}
