/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */

package org.openmobileis.services.common;

import javax.servlet.http.HttpServletResponse;

import org.openmobileis.embedded.webserver.templates.*;
import freemarker.template.*;
import org.openmobileis.common.util.log.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c)
 * Company:
 * @author
 * @version 1.0
 */

/**
 * Title:        OpenMobileIS project source <BR>
 * Description:  Helper class to facilitate confimration or error message return.
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 * @see DefaultLogRenderer, JournalService
 */
public class ServletTools {

/*
* Send a openmobileis error page
*
*/
public static void sendErrorPage (String serviceName, String message, String url, HttpServletResponse res) {
  try {
		res.setContentType("text/html .html");
    TemplateModelRoot root = TemplateManager.getManager().getTemplateModelRoot();
    root.put("messageDonnees", new SimpleScalar(message));
    root.put("serviceName", new SimpleScalar(serviceName));
    root.put("url", new SimpleScalar(url));
    TemplateManager.getManager().sendResponse ("openmischannel"+java.io.File.separator+"erreurmessage.htm", root, res);
    } catch (TemplateNotFoundException ex)  {
      try {
        org.openmobileis.common.intl.IntlResourceManager resourceManager = org.openmobileis.common.intl.IntlResourceManager.getManager();
        String title = resourceManager.getLocalizedProperty("ServletTools.ErrorExec");
        res.sendError(HttpServletResponse.SC_INTERNAL_SERVER_ERROR, title);
      } catch (Exception exi)  {
      }
      LogManager.traceAlert(LogServices.WEBSERVICE, "Error Template not found name erreurSaisie ");
      LogManager.traceAlert(LogServices.WEBSERVICE, ex);
    } catch (Exception ex) {
      try {
        org.openmobileis.common.intl.IntlResourceManager resourceManager = org.openmobileis.common.intl.IntlResourceManager.getManager();
        String title = resourceManager.getLocalizedProperty("ServletTools.ErrorExec");
        res.sendError(HttpServletResponse.SC_INTERNAL_SERVER_ERROR, title);
      } catch (Exception exi)  {
      }
      LogManager.traceAlert(LogServices.WEBSERVICE, "Error during execution of Service"+serviceName);
      LogManager.traceAlert(LogServices.WEBSERVICE, ex);
    }
}

  /*
  * Send a openmobileis error page
  *
  */
  public static void sendConfirmationPage (String serviceName, String message, String url, HttpServletResponse res) {
    try {
      TemplateModelRoot root = TemplateManager.getManager().getTemplateModelRoot();
      root.put("messageDonnees", new SimpleScalar(message));
      root.put("serviceName", new SimpleScalar(serviceName));
      root.put("url", new SimpleScalar(url));
      TemplateManager.getManager().sendResponse ("openmischannel"+java.io.File.separator+"confirmationmessage.htm", root, res);
    } catch (TemplateNotFoundException ex)  {
      try {
        org.openmobileis.common.intl.IntlResourceManager resourceManager = org.openmobileis.common.intl.IntlResourceManager.getManager();
        String title = resourceManager.getLocalizedProperty("ServletTools.ErrorExec");
        res.sendError(HttpServletResponse.SC_INTERNAL_SERVER_ERROR, title);
      } catch (Exception exi)  {
      }
      LogManager.traceAlert(LogServices.WEBSERVICE, "Error Template not found name confirmation ");
      LogManager.traceAlert(LogServices.WEBSERVICE, ex);
    } catch (Exception ex) {
      try {
      org.openmobileis.common.intl.IntlResourceManager resourceManager = org.openmobileis.common.intl.IntlResourceManager.getManager();
      String title = resourceManager.getLocalizedProperty("ServletTools.ErrorExec");
      res.sendError(HttpServletResponse.SC_INTERNAL_SERVER_ERROR, title);
      } catch (Exception exi)  {
      }
      LogManager.traceAlert(LogServices.WEBSERVICE, "Error during execution of Service"+serviceName);
      LogManager.traceAlert(LogServices.WEBSERVICE, ex);
    }
}
}