/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */
package org.openmobileis.services.navigation;

import java.util.Hashtable;

public class NavigationBarServiceData {
	private NavigationBarService service;
	private String uri;
	private Hashtable parameters;
	private String navigationBarLabel;

  /**
   * 
   */
  public NavigationBarServiceData(NavigationBarService service, String uri, Hashtable parameters) {
    super();
    this.service = service;
    this.uri = uri;
    this.parameters = parameters;
  }

  /**
   * @return
   */
  public Hashtable getParameters() {
    return parameters;
  }
  
  public void setParameters(Hashtable params) {
    this.parameters = params;
  }

  /**
   * @return
   */
  public NavigationBarService getService() {
    return service;
  }

  /**
   * @return
   */
  public String getUri() {
    return uri;
  }

  /**
   * @return
   */
  public String getNavigationBarLabel() {
    return navigationBarLabel;
  }

  /**
   * @param string
   */
  public void setNavigationBarLabel(String string) {
    navigationBarLabel = string;
  }
  
  public boolean equals(Object obj)	{
  	if (obj instanceof NavigationBarServiceData)	{
  		if (((NavigationBarServiceData)obj).uri.equals(this.uri))	{
  			return true;
  		}
  	}
  	return false;
  }

}
