/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.services.servlet;

import org.openmobileis.common.util.exception.ServiceException;

import freemarker.template.TemplateModelRoot;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description:  Listener interface use to register content provider to the indexServlet.
 *                To customise the index servlet content genration, use this interface.
 * 
 * @author  Philippe Delrieu
 * @since JDK 1.1
 * @version 1.0.
 */
public interface IndexServletContentListener {
  
  /**
   * call by index servlet to provide content.
   * @param TemplateModelRoot modelRoot the template to be filled by data.
   * @return
   */
  public void addContent(TemplateModelRoot modelRoot) throws ServiceException;

}
