/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */

package org.openmobileis.services.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.common.util.log.LogManager;

/**
 * @author Philippe Delrieu
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class ShutdownServlet extends HttpServlet {
  static final long serialVersionUID = 5521257935120563452L;
  
  public ShutdownServlet()	{
  }


  public void service( HttpServletRequest req, HttpServletResponse res ) throws ServletException, java.io.IOException {
   // write answer
    res.setContentType( "text/html" );
//    res.getWriter().println("<HTML><BODY></BODY></HTML>");
		res.getOutputStream().write("<HTML><BODY>Vous pouvez fermer la fentre</BODY></HTML>".getBytes());
    this.finalizeBeforeShutdown();
    Runnable toShut = new Runnable(){
      public void run() {
        try {
          // wait to end request
 //        LogManager.traceDebug(0, "before shut wait:");
          Thread.currentThread().sleep(2000);
          // stop
	//				LogManager.traceDebug(0, "after shut wait :");
          System.exit(1);          
        } catch (Exception ex)  {
        	LogManager.traceError(0, ex);
        }
      }
    };
    
    Thread th = new Thread(toShut);
    th.start();
	//	LogManager.traceDebug(0, "return shutdown servlet");
  }
  
  protected void finalizeBeforeShutdown()	{}
}
