/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */

package org.openmobileis.services.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.common.intl.IntlResourceManager;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.common.util.log.LogServices;
import org.openmobileis.services.common.ServiceManager;
import org.openmobileis.services.security.SecurityManager;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description:
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class ValidatePasswordServlet extends HttpServlet {
  static final long serialVersionUID = 5521257935120563452L;
  private static final String indexUrl="/index";
	
  public void service( HttpServletRequest req, HttpServletResponse res ) throws ServletException, java.io.IOException {
  	try	{
	  	String pass = req.getParameter("password");
	  	if ((pass==null)||(pass.length() ==0))	{
	  		req.getSession(true).setAttribute("security.pass.form", IntlResourceManager.getManager().getLocalizedProperty("ValidatePasswordServlet.error.nopassword"));
	  		ServiceManager.getManager().redirectToServiceURI("/common/showpassform", req, res);
	  		return;
	  	}
		  
		  if (SecurityManager.getManager().validateServicePass(pass)){
//		  	SecurityManager.getManager().setServicePass(pass);
  			SecurityManager.getManager().setServiceCall();
        ServiceManager.getManager().redirectToServiceURI(indexUrl, req, res);
	  		return;
		  }
  	} catch (Throwable ex)	{
  		LogManager.traceError(LogServices.WEBSERVICE, ex);
  	}
		req.getSession(true).setAttribute("security.pass.form", IntlResourceManager.getManager().getLocalizedProperty("ValidatePasswordServlet.error.badpassword"));
    ServiceManager.getManager().redirectToServiceURI("/showpassform", req, res);
		return;
  }

}
