/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.synchro.algo.replication;

import org.openmobileis.common.util.collection.Array;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class ReplicationReturnData {
  private Array clientSideModificationList;
  private Array serverSideModificationList;
  /**
   * 
   */
  public ReplicationReturnData() {
    super();
    this.clientSideModificationList = new Array();
    this.serverSideModificationList = new Array();
  }
  public ReplicationSAOEvent[] getClientSideModificationList() {
    ReplicationSAOEvent[] retList = new  ReplicationSAOEvent[clientSideModificationList.size()];
    clientSideModificationList.toArray(retList);
    return retList;
  }
  public ReplicationSAOEvent[] getServerSideModificationList() {
    ReplicationSAOEvent[] retList = new  ReplicationSAOEvent[serverSideModificationList.size()];
    serverSideModificationList.toArray(retList);
    return retList;
  }
  
  public void addReplicationSAOEvent(ReplicationSAOEvent event) {
    if (event.getUpdateSide() == ReplicationSAOEvent.CLIENT_SIDE)  {
      clientSideModificationList.add(event);
    } else  {
      serverSideModificationList.add(event);
    }
  }

}
