/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.synchro.algo.syncnumber;

import org.openmobileis.synchro.openmsp.OpenMSPException;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class SyncNumberNotFoundException extends OpenMSPException {
  static final long serialVersionUID = 5521257935120563452L;

  /**
   * 
   */
  public SyncNumberNotFoundException() {
    super();
  }

  /**
   * @param priority
   */
  public SyncNumberNotFoundException(int priority) {
    super(priority);
  }

  /**
   * @param msg
   * @param t
   */
  public SyncNumberNotFoundException(String msg, Throwable t) {
    super(msg, t);
  }

  /**
   * @param msg
   * @param t
   * @param priority
   */
  public SyncNumberNotFoundException(String msg, Throwable t, int priority) {
    super(msg, t, priority);
  }

  /**
   * @param msg
   */
  public SyncNumberNotFoundException(String msg) {
    super(msg);
  }

  /**
   * @param msg
   * @param priority
   */
  public SyncNumberNotFoundException(String msg, int priority) {
    super(msg, priority);
  }

  /**
   * @param t
   */
  public SyncNumberNotFoundException(Throwable t) {
    super(t);
  }

  /**
   * @param t
   * @param priority
   */
  public SyncNumberNotFoundException(Throwable t, int priority) {
    super(t, priority);
  }

}
