/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.synchro.algo.syncnumber.impl;

import org.openmobileis.common.util.exception.DatabaseException;
import org.openmobileis.synchro.algo.syncnumber.SyncNumberManagerDelegate;
import org.openmobileis.synchro.algo.syncnumber.SyncNumberNotFoundException;
import org.openmobileis.synchro.algo.syncnumber.SynchroNumber;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class EmptySyncNumberManagerDelegate implements SyncNumberManagerDelegate {
  private long syncnumber = 0;
  /**
   * 
   */
  public EmptySyncNumberManagerDelegate() {
    super();
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#setSyncNumberFactory(org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberQueryManager)
   */
  public void setSyncNumberFactory(SyncNumberQueryManager fac) {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#initDelegate()
   */
  public void initDelegate() {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#getSynchroNumber(long)
   */
  public SynchroNumber getSynchroNumber(long ns) throws SyncNumberNotFoundException {
    return new SynchroNumber(ns, 0);
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#getNextSynchroNumber()
   */
  public SynchroNumber getNextSynchroNumber() throws DatabaseException {
    syncnumber +=1;
    return new SynchroNumber(syncnumber, syncnumber);
  }
  public long getCurrentSynchroNumber() throws DatabaseException {
    return syncnumber;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#deleteSyncNumber(org.openmobileis.commonserver.synchro.nsmanagement.SynchroNumber)
   */
  public void deleteSyncNumber(SynchroNumber ns) {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#createSynchroNumber(long, long)
   */
  public void createSynchroNumber(long ns, long timestamp) throws DatabaseException {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#setTimeStampForSynchroNumber(long)
   */
  public void setTimeStampForSynchroNumber(long syncNumber) {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#getTimeStampForSynchroNumber(long)
   */
  public long getTimeStampForSynchroNumber(long syncNumber) throws SyncNumberNotFoundException {
    return syncNumber;
  }

}
