/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.synchro.openmsp.client.core.test;

import org.openmobileis.synchro.journal.JournalLogRenderer;
import org.openmobileis.synchro.journal.SimpleLogRenderer;
import org.openmobileis.synchro.openmsp.OpenMSPException;
import org.openmobileis.synchro.openmsp.client.DefaultOpenMSPSyncListener;
import org.openmobileis.synchro.openmsp.protocol.ContainerMessage;
import org.openmobileis.synchro.openmsp.protocol.Message;
import org.openmobileis.synchro.openmsp.protocol.Status;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class TestSynchroListener extends DefaultOpenMSPSyncListener {
  private String name;
  /**
   * 
   */
  public TestSynchroListener(String name) {
    super();
    this.name = name;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.synchro.openmsp.client.OpenMSPSyncListener#sendData(org.openmobileis.synchro.openmsp.protocol.Message)
   */
  public void sendData(Message message) throws OpenMSPException {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.synchro.openmsp.client.OpenMSPSyncListener#getSyncName()
   */
  public String getSyncName() {
    return this.name;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.synchro.openmsp.client.OpenMSPSyncListener#notifyFailure()
   */
  public void notifyFailure() {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.synchro.openmsp.client.OpenMSPSyncListener#startSync(int)
   */
  public void startSync(int synchroType) throws OpenMSPException {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.synchro.openmsp.client.OpenMSPSyncListener#endSync()
   */
  public void endSync() throws OpenMSPException {
  }
  /**
   * Event sent when the sync manager receives MAP command openML messages from the server
   * @param ContainerMessage container : container containing the message
   * @param long newSessionID : the session id use for this synchro for this listener message.
   */
  public void receiveMapCommand( ContainerMessage mapContainer)   throws OpenMSPException {
    
  }

  /**
   * Event sent when the sync manager receives GET command openML messages from the server
   * @param ContainerMessage container : container containing the message
   * @param long newSessionID : the session id use for this synchro for this listener message.
   */
  public void receiveGetCommand( ContainerMessage getContainer, long newSyncNumber)   throws OpenMSPException {
    
  }

  /**
   * Event sent when the sync manager receives RESULT openML messages from the server
   * @param Result resultCommande : resultCommande containing the result of a command
   * @param long newSessionID : the session id use for this synchro for this listener message.
   */
  public void receiveResultCommand(ContainerMessage resultContainer, ContainerMessage initialCommand)  throws OpenMSPException  {
    
  }

  /**
   * Event sent when the sync manager receives STATUS openML messages from the server
   * @param Status statusCommande : resultCommande containing the Status of a command
   * @param long newSessionID : the session id use for this synchro for this listener message.
   */
  public void receiveStatusCommand( Status statusCommande, ContainerMessage initialCommand)  throws OpenMSPException  {
   
  }
  
  protected JournalLogRenderer getJournalLogRenderer()  {
    return new SimpleLogRenderer("test synchro", "service de test de synchro");
  }

}
