/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */

package org.openmobileis.synchro.openmsp.client.db;

import org.openmobileis.common.util.collection.Array;
import org.openmobileis.common.util.exception.DatabaseException;


/**
 * Title:        OpenMobileIS project source <BR>
 * Description:  Database access for the SyncActionDBManager.
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public interface SyncActionDBQueryManager {

 /*

 * check if the table exists. IF it does not exist, create it

 */

  public void initDB() throws DatabaseException;


  public Array getActionsForService(String serviceName) throws DatabaseException;
  
  public ActionDB getActionDB(String serviceName, String uid) throws DatabaseException ;



  // insert a row

  public void create (ActionDB action) throws DatabaseException;
  
  public void deleteAllActionForService(String serviceName)  throws DatabaseException;

  // delete a row

  public void delete (String serviceName, String uid) throws DatabaseException;
}
