/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */

package org.openmobileis.synchro.openmsp.client.services;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.services.TemplateService;
import org.openmobileis.services.common.ServiceManager;
import org.openmobileis.services.navigation.NavigationBarService;
import org.openmobileis.synchro.openmsp.client.OpenMSPSynchroManager;

import freemarker.template.*;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: Service that show synchro login HTML page.
 * This page is use to get synchro authentification.
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class SynchroLoginService extends TemplateService implements NavigationBarService {

  private static final String templatePath="openmischannel"+java.io.File.separator+"synchrologin.htm";

  public SynchroLoginService() {
  }

  public String runTemplate(HttpServletRequest parm1, HttpServletResponse parm2, TemplateModelRoot templateRoot) throws java.io.IOException, ServletException {
    String login = OpenMSPSynchroManager.getManager().getLastSynchroLogin();
    templateRoot.put("action",new SimpleScalar("/synchro/direct"));
    if (login != null)  {
      templateRoot.put("login", new SimpleScalar(login));
    }
    return templatePath;
  }
	
	public String getNavigationBarLabel(HttpServletRequest req)	{
		return "Synchro login";
	}
	
	public boolean displayFormExitMessage() {
		return false;
	}
	
	public boolean displayRecursive() {
		return false;
	}

  public String getServiceUri() {
    return ServiceManager.getManager().getServiceBaseURI()+"/synchro/login";
  }
}