/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */

package org.openmobileis.synchro.openmsp.protocol;

import java.util.Vector;


/**
 * Title:        OpenMobileIS project source <BR>
 * Description:
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
  */

public class SimpleOpenMLParser {

  public SimpleOpenMLParser() {
  }

  /**
   * Simple XMLparser. return null if an error occurs.
   */
  public static ElementData[] parseXML(String xml) {
    Vector list = new Vector(5);
 //   try {
      int c;
      boolean inside = false;
      boolean exclamation = false;
      int nonParsedTags = 0;
      StringBuffer element = new StringBuffer();
      StringBuffer pcdata = new StringBuffer();
      java.io.ByteArrayInputStream inputXML = new java.io.ByteArrayInputStream(xml.getBytes());
      while ((c = inputXML.read())> -1) {
        switch ((char) c) {
          case '!' :
              if (inside)  // manage CDATA and comments
                exclamation = true;
              break;
          case '<' :
              if (inside && !exclamation)
                return null;
                //throw new CmlException ("Malformed document, expected '>' and found '<' during openML parsing");
              else if (inside && exclamation) { // suppose it is a CDATA
                nonParsedTags++;
                element.append((char)c);
              } else {
                inside = true;
                list.add(new ElementData(element.toString(), pcdata.toString()));
                element = new StringBuffer();
            //    parsePcData(pcdata);
                }
              break;
          case '>' :
              if (nonParsedTags > 0) {// suppose it is inside a CDATA
                nonParsedTags--;
                element.append((char)c);
              } else if (inside) {
                  if (exclamation)
                    exclamation = false;
                  inside = false;
              //    parseElement(element);
                  // ready to parse the possible PCDATA for the current element
                  pcdata = new StringBuffer();
              } else
                return null;
                //throw new CmlException ("Malformed document, expected '>' and found '<' during openML parsing");
              break;
         default :
            if (inside)
              element.append((char)c);
            else
              pcdata.append((char)c);
            break;
        } // end switch
      } // end while

      ElementData[] retData = new ElementData[list.size()];
      list.toArray(retData);
      return retData;
/*    } catch (OpenMSPException e) {
    	org.openmobileis.common.util.log.LogManager.traceError(org.openmobileis.common.util.log.LogServices.SYNCHROSERVICE, e);
      return null;
    }*/
  }
}