/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.synchro.openmsp.server.util;

import org.openmobileis.common.util.OpenMISSerializable;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: base file for virtual file system
 * @author  Philippe Delrieu
 * @since JDK 1.1
 * @version 1.0.
 */
public interface OpenMISFile extends OpenMISSerializable  {

  /**
   * return the name of the file. The name doesnot contain file path.
   */
  public String getFileName();

  /**
   * return file data as a stream
   */
  public java.io.InputStream getFileDataStream();

  /**
   * return file data as a byte array
   */
  public byte[] getFileData();

  /**
   * return the file data length
   */
  public int getFileLength();

  /**
   * return the complete file name of the file (ie: path+separator+name)
   */
  public String getFileCompleteName();

  /**
   * return the path of the file without the file name. The path end with system separator.
   */
  public String getFilePath();

  /**
   * return file last modification date
   */
  public long getFileDate();

  /**
   * set file last modification date
   */
  public void setFileDate(java.util.Date date);

}