/**
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.test.bundle.profil;

import org.openmobileis.common.util.exception.ServiceException;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.module.core.ProfileModule;
import org.openmobileis.module.terminal.ModuleManagerListener;

/*
 * Title:        OpenMobileIS project source <BR>
 * Description:
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */

public final class TestModuleManagerListener implements ModuleManagerListener {
  public ProfileModule[] loadedModuleNames = new ProfileModule[10];
  public int currentIndex = 0;
  /**
   * 
   */
  public TestModuleManagerListener() {
  }
  
  public void initManager() throws ServiceException	{
  	LogManager.traceInfo(0, "TestModuleManagerListener initManager not tested");
  }

  /* (non-Javadoc)
   * @see org.openmobileis.module.core.ModuleManagerListener#notifyModuleLoading(org.openmobileis.module.core.ProfileModule)
   */
  public void notifyModuleLoading(ProfileModule module) throws ServiceException {
    loadedModuleNames[currentIndex++] = module;
  }
  public String getXMLInstallPath()	{
	  return System.getProperty("user.dir")+"/WEB-INF/module/xml";
	  
  }
  public String getJarInstallPath()	{
	  return System.getProperty("user.dir")+"/WEB-INF/module/jar";
  }
  
	public void notifyModuleUpdate(ProfileModule module) throws ServiceException {
	 	LogManager.traceInfo(0, "TestModuleManagerListener notifyModuleUpdate not tested.");
	}

}
