/**
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.test.database;

import java.io.Serializable;

import org.openmobileis.database.fastobjectdb.synchro.client.SynchroFODBReturnListener;
import org.openmobileis.synchro.openmsp.OpenMSPException;

/*
 * Title:        OpenMobileIS project source <BR>
 * Description:
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */

public final class TestSynchroFODBReturnListener implements SynchroFODBReturnListener {

  public Serializable testMetadata;
  public boolean notifyBeginDBUpdateCall = false;
  public String notifyDBDeleteId = null;
  public String notifyFODBObjectSynchroDoneId = null;
  public boolean notifySynchroBeginCall = false;
  public boolean notifySynchroEndCall = false;
  /**
   * 
   */
  public TestSynchroFODBReturnListener() {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.client.SynchroFODBReturnListener#getSendSynchroMetada()
   */
  public Serializable getSendSynchroMetada() throws OpenMSPException {
    return testMetadata;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.client.SynchroFODBReturnListener#notifyBeginDBUpdate(java.lang.Object)
   */
  public Object notifyBeginDBUpdate(Object object) throws OpenMSPException {
    notifyBeginDBUpdateCall = true;
    return object;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.client.SynchroFODBReturnListener#notifyDBDelete(java.lang.String)
   */
  public void notifyDBDelete(String objectId) throws OpenMSPException {
    notifyDBDeleteId = objectId;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.client.SynchroFODBReturnListener#notifyFODBObjectSynchroDone(java.lang.String)
   */
  public void notifyFODBObjectSynchroDone(String ObjectId) throws OpenMSPException {
    notifyFODBObjectSynchroDoneId = ObjectId;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.client.SynchroFODBReturnListener#notifySynchroBegin()
   */
  public void notifySynchroBegin() {
    notifySynchroBeginCall = true;
    notifySynchroEndCall = false;
    notifyBeginDBUpdateCall = false;
    notifyDBDeleteId = null;
    notifyFODBObjectSynchroDoneId = null;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.client.SynchroFODBReturnListener#notifySynchroEnd()
   */
  public void notifySynchroEnd() {
    notifySynchroEndCall = true;
  }

}
